#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSS = 858,
  CSS2Properties = 862,
  CSSAnimation = 877,
  CSSConditionRule = 890,
  CSSContainerRule = 907,
  CSSCounterStyleRule = 924,
  CSSCustomPropertyRegisteredEvent = 944,
  CSSFontFaceRule = 977,
  CSSFontFeatureValuesRule = 993,
  CSSFontPaletteValuesRule = 1018,
  CSSGroupingRule = 1043,
  CSSImportRule = 1059,
  CSSKeyframeRule = 1073,
  CSSKeyframesRule = 1089,
  CSSLayerBlockRule = 1106,
  CSSLayerStatementRule = 1124,
  CSSMediaRule = 1146,
  CSSMozDocumentRule = 1159,
  CSSNamespaceRule = 1178,
  CSSPageRule = 1195,
  CSSPropertyRule = 1207,
  CSSPseudoElement = 1223,
  CSSRule = 1240,
  CSSRuleList = 1248,
  CSSScopeRule = 1260,
  CSSStartingStyleRule = 1273,
  CSSStyleDeclaration = 1294,
  CSSStyleRule = 1314,
  CSSStyleSheet = 1327,
  CSSSupportsRule = 1341,
  CSSTransition = 1357,
  Cache = 1371,
  CacheStorage = 1377,
  CallbackDebuggerNotification = 1390,
  CanonicalBrowsingContext = 1419,
  CanvasCaptureMediaStream = 1444,
  CanvasGradient = 1469,
  CanvasPattern = 1484,
  CanvasRenderingContext2D = 1498,
  CaretPosition = 1523,
  CaretStateChangedEvent = 1537,
  ChannelMergerNode = 1560,
  ChannelSplitterNode = 1578,
  ChannelWrapper = 1598,
  CharacterData = 1613,
  CheckerboardReportService = 1627,
  ChildProcessMessageManager = 1653,
  ChildSHistory = 1680,
  ChromeMessageBroadcaster = 1694,
  ChromeMessageSender = 1719,
  ChromeNodeList = 1739,
  ChromeUtils = 1754,
  ChromeWorker = 1766,
  Client = 1779,
  Clients = 1786,
  Clipboard = 1794,
  ClipboardEvent = 1804,
  ClipboardItem = 1819,
  ClonedErrorHolder = 1833,
  CloseEvent = 1851,
  CommandEvent = 1862,
  Comment = 1875,
  CompositionEvent = 1883,
  CompressionStream = 1900,
  ConsoleInstance = 1918,
  ConstantSourceNode = 1934,
  ContentFrameMessageManager = 1953,
  ContentProcessMessageManager = 1980,
  ContentVisibilityAutoStateChangeEvent = 2009,
  ConvolverNode = 2047,
  CountQueuingStrategy = 2061,
  CreateOfferRequest = 2082,
  Credential = 2101,
  CredentialsContainer = 2112,
  Crypto = 2133,
  CryptoKey = 2140,
  CustomElementRegistry = 2150,
  CustomEvent = 2172,
  CustomStateSet = 2184,
  DOMException = 2199,
  DOMImplementation = 2212,
  DOMLocalization = 2230,
  DOMMatrix = 2246,
  DOMMatrixReadOnly = 2256,
  DOMParser = 2274,
  DOMPoint = 2284,
  DOMPointReadOnly = 2293,
  DOMQuad = 2310,
  DOMRect = 2318,
  DOMRectList = 2326,
  DOMRectReadOnly = 2338,
  DOMStringList = 2354,
  DOMStringMap = 2368,
  DOMTokenList = 2381,
  DataTransfer = 2394,
  DataTransferItem = 2407,
  DataTransferItemList = 2424,
  DebuggerNotification = 2445,
  DebuggerNotificationObserver = 2466,
  DecompressionStream = 2495,
  DedicatedWorkerGlobalScope = 2515,
  DelayNode = 2542,
  DeprecationReportBody = 2552,
  DeviceAcceleration = 2574,
  DeviceLightEvent = 2593,
  DeviceMotionEvent = 2610,
  DeviceOrientationEvent = 2628,
  DeviceRotationRate = 2651,
  Directory = 2670,
  Document = 2680,
  DocumentFragment = 2689,
  DocumentL10n = 2706,
  DocumentTimeline = 2719,
  DocumentType = 2736,
  DominatorTree = 2749,
  DragEvent = 2763,
  DynamicsCompressorNode = 2773,
  EXT_blend_minmax = 2796,
  EXT_color_buffer_float = 2813,
  EXT_color_buffer_half_float = 2836,
  EXT_disjoint_timer_query = 2864,
  EXT_float_blend = 2889,
  EXT_frag_depth = 2905,
  EXT_sRGB = 2920,
  EXT_shader_texture_lod = 2929,
  EXT_texture_compression_bptc = 2952,
  EXT_texture_compression_rgtc = 2981,
  EXT_texture_filter_anisotropic = 3010,
  EXT_texture_norm16 = 3041,
  Element = 3060,
  ElementInternals = 3068,
  EncodedAudioChunk = 3085,
  EncodedVideoChunk = 3103,
  ErrorEvent = 3121,
  Event = 3132,
  EventCallbackDebuggerNotification = 3138,
  EventCounts = 3172,
  EventSource = 3184,
  EventTarget = 3196,
  Exception = 3208,
  ExtendableEvent = 3218,
  ExtendableMessageEvent = 3234,
  ExtensionAlarms = 3257,
  ExtensionBrowser = 3273,
  ExtensionBrowserSettings = 3290,
  ExtensionBrowserSettingsColorManagement = 3315,
  ExtensionDns = 3355,
  ExtensionEventManager = 3368,
  ExtensionMockAPI = 3390,
  ExtensionPort = 3407,
  ExtensionProxy = 3421,
  ExtensionRuntime = 3436,
  ExtensionScripting = 3453,
  ExtensionSetting = 3472,
  ExtensionTest = 3489,
  External = 3503,
  FeaturePolicy = 3512,
  FeaturePolicyViolationReportBody = 3526,
  FetchEvent = 3559,
  FetchObserver = 3570,
  File = 3584,
  FileList = 3589,
  FileReader = 3598,
  FileReaderSync = 3609,
  FileSystem = 3624,
  FileSystemDirectoryEntry = 3635,
  FileSystemDirectoryHandle = 3660,
  FileSystemDirectoryHandle_AsyncIterator = 3686,
  FileSystemDirectoryIterator = 3726,
  FileSystemDirectoryReader = 3754,
  FileSystemEntry = 3780,
  FileSystemFileEntry = 3796,
  FileSystemFileHandle = 3816,
  FileSystemHandle = 3837,
  FileSystemSyncAccessHandle = 3854,
  FileSystemWritableFileStream = 3881,
  Flex = 3910,
  FlexItemValues = 3915,
  FlexLineValues = 3930,
  FluentBundle = 3945,
  FluentBundleAsyncIterator = 3958,
  FluentBundleIterator = 3984,
  FluentPattern = 4005,
  FluentResource = 4019,
  FocusEvent = 4034,
  FontFace = 4045,
  FontFaceSet = 4054,
  FontFaceSetIterator = 4066,
  FontFaceSetLoadEvent = 4086,
  FormData = 4107,
  FormData_Iterator = 4116,
  FormDataEvent = 4134,
  FragmentDirective = 4148,
  FrameCrashedEvent = 4166,
  FrameLoader = 4184,
  GPU = 4196,
  GPUAdapter = 4200,
  GPUAdapterInfo = 4211,
  GPUBindGroup = 4226,
  GPUBindGroupLayout = 4239,
  GPUBuffer = 4258,
  GPUBufferUsage = 4268,
  GPUCanvasContext = 4283,
  GPUColorWrite = 4300,
  GPUCommandBuffer = 4314,
  GPUCommandEncoder = 4331,
  GPUCompilationInfo = 4349,
  GPUCompilationMessage = 4368,
  GPUComputePassEncoder = 4390,
  GPUComputePipeline = 4412,
  GPUDevice = 4431,
  GPUDeviceLostInfo = 4441,
  GPUError = 4459,
  GPUInternalError = 4468,
  GPUMapMode = 4485,
  GPUOutOfMemoryError = 4496,
  GPUPipelineLayout = 4516,
  GPUQuerySet = 4534,
  GPUQueue = 4546,
  GPURenderBundle = 4555,
  GPURenderBundleEncoder = 4571,
  GPURenderPassEncoder = 4594,
  GPURenderPipeline = 4615,
  GPUSampler = 4633,
  GPUShaderModule = 4644,
  GPUShaderStage = 4660,
  GPUSupportedFeatures = 4675,
  GPUSupportedLimits = 4696,
  GPUTexture = 4715,
  GPUTextureUsage = 4726,
  GPUTextureView = 4742,
  GPUUncapturedErrorEvent = 4757,
  GPUValidationError = 4781,
  GainNode = 4800,
  Gamepad = 4809,
  GamepadAxisMoveEvent = 4817,
  GamepadButton = 4838,
  GamepadButtonEvent = 4852,
  GamepadEvent = 4871,
  GamepadHapticActuator = 4884,
  GamepadLightIndicator = 4906,
  GamepadPose = 4928,
  GamepadServiceTest = 4940,
  GamepadTouch = 4959,
  Geolocation = 4972,
  GeolocationCoordinates = 4984,
  GeolocationPosition = 5007,
  GeolocationPositionError = 5027,
  GetUserMediaRequest = 5052,
  GleanBoolean = 5072,
  GleanCategory = 5085,
  GleanCounter = 5099,
  GleanCustomDistribution = 5112,
  GleanDatetime = 5136,
  GleanDenominator = 5150,
  GleanEvent = 5167,
  GleanImpl = 5178,
  GleanLabeled = 5188,
  GleanMemoryDistribution = 5201,
  GleanMetric = 5225,
  GleanNumerator = 5237,
  GleanObject = 5252,
  GleanPingsImpl = 5264,
  GleanQuantity = 5279,
  GleanRate = 5293,
  GleanString = 5303,
  GleanStringList = 5315,
  GleanText = 5331,
  GleanTimespan = 5341,
  GleanTimingDistribution = 5355,
  GleanUrl = 5379,
  GleanUuid = 5388,
  Grid = 5398,
  GridArea = 5403,
  GridDimension = 5412,
  GridLine = 5426,
  GridLines = 5435,
  GridTrack = 5445,
  GridTracks = 5455,
  HTMLAllCollection = 5466,
  HTMLAnchorElement = 5484,
  HTMLAreaElement = 5502,
  HTMLAudioElement = 5518,
  HTMLBRElement = 5535,
  HTMLBaseElement = 5549,
  HTMLBodyElement = 5565,
  HTMLButtonElement = 5581,
  HTMLCanvasElement = 5599,
  HTMLCollection = 5617,
  HTMLDListElement = 5632,
  HTMLDataElement = 5649,
  HTMLDataListElement = 5665,
  HTMLDetailsElement = 5685,
  HTMLDialogElement = 5704,
  HTMLDirectoryElement = 5722,
  HTMLDivElement = 5743,
  HTMLDocument = 5758,
  HTMLElement = 5771,
  HTMLEmbedElement = 5783,
  HTMLFieldSetElement = 5800,
  HTMLFontElement = 5820,
  HTMLFormControlsCollection = 5836,
  HTMLFormElement = 5863,
  HTMLFrameElement = 5879,
  HTMLFrameSetElement = 5896,
  HTMLHRElement = 5916,
  HTMLHeadElement = 5930,
  HTMLHeadingElement = 5946,
  HTMLHtmlElement = 5965,
  HTMLIFrameElement = 5981,
  HTMLImageElement = 5999,
  HTMLInputElement = 6016,
  HTMLLIElement = 6033,
  HTMLLabelElement = 6047,
  HTMLLegendElement = 6064,
  HTMLLinkElement = 6082,
  HTMLMapElement = 6098,
  HTMLMarqueeElement = 6113,
  HTMLMediaElement = 6132,
  HTMLMenuElement = 6149,
  HTMLMetaElement = 6165,
  HTMLMeterElement = 6181,
  HTMLModElement = 6198,
  HTMLOListElement = 6213,
  HTMLObjectElement = 6230,
  HTMLOptGroupElement = 6248,
  HTMLOptionElement = 6268,
  HTMLOptionsCollection = 6286,
  HTMLOutputElement = 6308,
  HTMLParagraphElement = 6326,
  HTMLParamElement = 6347,
  HTMLPictureElement = 6364,
  HTMLPreElement = 6383,
  HTMLProgressElement = 6398,
  HTMLQuoteElement = 6418,
  HTMLScriptElement = 6435,
  HTMLSelectElement = 6453,
  HTMLSlotElement = 6471,
  HTMLSourceElement = 6487,
  HTMLSpanElement = 6505,
  HTMLStyleElement = 6521,
  HTMLTableCaptionElement = 6538,
  HTMLTableCellElement = 6562,
  HTMLTableColElement = 6583,
  HTMLTableElement = 6603,
  HTMLTableRowElement = 6620,
  HTMLTableSectionElement = 6640,
  HTMLTemplateElement = 6664,
  HTMLTextAreaElement = 6684,
  HTMLTimeElement = 6704,
  HTMLTitleElement = 6720,
  HTMLTrackElement = 6737,
  HTMLUListElement = 6754,
  HTMLUnknownElement = 6771,
  HTMLVideoElement = 6790,
  HashChangeEvent = 6807,
  Headers = 6823,
  Headers_Iterator = 6831,
  HeapSnapshot = 6848,
  Highlight = 6861,
  HighlightRegistry = 6871,
  History = 6889,
  IDBCursor = 6897,
  IDBCursorWithValue = 6907,
  IDBDatabase = 6926,
  IDBFactory = 6938,
  IDBIndex = 6949,
  IDBKeyRange = 6958,
  IDBObjectStore = 6970,
  IDBOpenDBRequest = 6985,
  IDBRequest = 7002,
  IDBTransaction = 7013,
  IDBVersionChangeEvent = 7028,
  IIRFilterNode = 7050,
  IOUtils = 7064,
  IdentityCredential = 7072,
  IdleDeadline = 7091,
  Image = 7104,
  ImageBitmap = 7110,
  ImageBitmapRenderingContext = 7122,
  ImageCapture = 7150,
  ImageCaptureError = 7163,
  ImageCaptureErrorEvent = 7181,
  ImageData = 7204,
  ImageDocument = 7214,
  InputEvent = 7228,
  InspectorFontFace = 7239,
  InspectorUtils = 7257,
  InstallTriggerImpl = 7272,
  IntersectionObserver = 7291,
  IntersectionObserverEntry = 7312,
  IntlUtils = 7338,
  InvokeEvent = 7348,
  JSProcessActorChild = 7360,
  JSProcessActorParent = 7380,
  JSWindowActorChild = 7401,
  JSWindowActorParent = 7420,
  KeyEvent = 7440,
  KeyboardEvent = 7449,
  KeyframeEffect = 7463,
  L10nFileSource = 7478,
  L10nOverlays = 7493,
  L10nRegistry = 7506,
  LargestContentfulPaint = 7519,
  LegacyMozTCPSocket = 7542,
  Localization = 7561,
  Location = 7574,
  Lock = 7583,
  LockManager = 7588,
  MIDIAccess = 7600,
  MIDIConnectionEvent = 7611,
  MIDIInput = 7631,
  MIDIInputMap = 7641,
  MIDIMessageEvent = 7654,
  MIDIOutput = 7671,
  MIDIOutputMap = 7682,
  MIDIPort = 7696,
  MOZ_debug = 7705,
  MatchGlob = 7715,
  MatchPattern = 7725,
  MatchPatternSet = 7738,
  MathMLElement = 7754,
  MediaCapabilities = 7768,
  MediaCapabilitiesInfo = 7786,
  MediaControlService = 7808,
  MediaController = 7828,
  MediaDeviceInfo = 7844,
  MediaDevices = 7860,
  MediaElementAudioSourceNode = 7873,
  MediaEncryptedEvent = 7901,
  MediaError = 7921,
  MediaKeyError = 7932,
  MediaKeyMessageEvent = 7946,
  MediaKeySession = 7967,
  MediaKeyStatusMap = 7983,
  MediaKeyStatusMap_Iterator = 8001,
  MediaKeySystemAccess = 8028,
  MediaKeys = 8049,
  MediaList = 8059,
  MediaMetadata = 8069,
  MediaQueryList = 8083,
  MediaQueryListEvent = 8098,
  MediaRecorder = 8118,
  MediaRecorderErrorEvent = 8132,
  MediaSession = 8156,
  MediaSource = 8169,
  MediaStream = 8181,
  MediaStreamAudioDestinationNode = 8193,
  MediaStreamAudioSourceNode = 8225,
  MediaStreamError = 8252,
  MediaStreamEvent = 8269,
  MediaStreamTrack = 8286,
  MediaStreamTrackAudioSourceNode = 8303,
  MediaStreamTrackEvent = 8335,
  MerchantValidationEvent = 8357,
  MessageBroadcaster = 8381,
  MessageChannel = 8400,
  MessageEvent = 8415,
  MessageListenerManager = 8428,
  MessagePort = 8451,
  MessageSender = 8463,
  MimeType = 8477,
  MimeTypeArray = 8486,
  MouseEvent = 8500,
  MouseScrollEvent = 8511,
  MozCanvasPrintState = 8528,
  MozDocumentMatcher = 8548,
  MozDocumentObserver = 8567,
  MozQueryInterface = 8587,
  MozSharedMap = 8605,
  MozSharedMap_Iterator = 8618,
  MozSharedMapChangeEvent = 8640,
  MozStorageAsyncStatementParams = 8664,
  MozStorageStatementParams = 8695,
  MozStorageStatementRow = 8721,
  MozWritableSharedMap = 8744,
  MutationEvent = 8765,
  MutationObserver = 8779,
  MutationRecord = 8796,
  NamedNodeMap = 8811,
  NavigationPreloadManager = 8824,
  Navigator = 8849,
  NetworkInformation = 8859,
  Node = 8878,
  NodeFilter = 8883,
  NodeIterator = 8894,
  NodeList = 8907,
  Notification = 8916,
  NotificationEvent = 8929,
  NotifyPaintEvent = 8947,
  OES_draw_buffers_indexed = 8964,
  OES_element_index_uint = 8989,
  OES_fbo_render_mipmap = 9012,
  OES_standard_derivatives = 9034,
  OES_texture_float = 9059,
  OES_texture_float_linear = 9077,
  OES_texture_half_float = 9102,
  OES_texture_half_float_linear = 9125,
  OES_vertex_array_object = 9155,
  OVR_multiview2 = 9179,
  OfflineAudioCompletionEvent = 9194,
  OfflineAudioContext = 9222,
  OffscreenCanvas = 9242,
  OffscreenCanvasRenderingContext2D = 9258,
  OnlyForUseInConstructor = 9292,
  Option = 9316,
  OscillatorNode = 9323,
  PageTransitionEvent = 9338,
  PaintRequest = 9358,
  PaintRequestList = 9371,
  PaintWorkletGlobalScope = 9388,
  PannerNode = 9412,
  ParentProcessMessageManager = 9423,
  Path2D = 9451,
  PathUtils = 9458,
  PaymentAddress = 9468,
  PaymentMethodChangeEvent = 9483,
  PaymentRequest = 9508,
  PaymentRequestUpdateEvent = 9523,
  PaymentResponse = 9549,
  PeerConnectionImpl = 9565,
  PeerConnectionObserver = 9584,
  Performance = 9607,
  PerformanceEntry = 9619,
  PerformanceEntryEvent = 9636,
  PerformanceEventTiming = 9658,
  PerformanceMark = 9681,
  PerformanceMeasure = 9697,
  PerformanceNavigation = 9716,
  PerformanceNavigationTiming = 9738,
  PerformanceObserver = 9766,
  PerformanceObserverEntryList = 9786,
  PerformancePaintTiming = 9815,
  PerformanceResourceTiming = 9838,
  PerformanceServerTiming = 9864,
  PerformanceTiming = 9888,
  PeriodicWave = 9906,
  PermissionStatus = 9919,
  Permissions = 9936,
  PlacesBookmark = 9948,
  PlacesBookmarkAddition = 9963,
  PlacesBookmarkChanged = 9986,
  PlacesBookmarkGuid = 10008,
  PlacesBookmarkKeyword = 10027,
  PlacesBookmarkMoved = 10049,
  PlacesBookmarkRemoved = 10069,
  PlacesBookmarkTags = 10091,
  PlacesBookmarkTime = 10110,
  PlacesBookmarkTitle = 10129,
  PlacesBookmarkUrl = 10149,
  PlacesEvent = 10167,
  PlacesEventCounts = 10179,
  PlacesFavicon = 10197,
  PlacesHistoryCleared = 10211,
  PlacesObservers = 10232,
  PlacesPurgeCaches = 10248,
  PlacesRanking = 10266,
  PlacesVisit = 10280,
  PlacesVisitRemoved = 10292,
  PlacesVisitTitle = 10311,
  PlacesWeakCallbackWrapper = 10328,
  Plugin = 10354,
  PluginArray = 10361,
  PluginCrashedEvent = 10373,
  PointerEvent = 10392,
  PopStateEvent = 10405,
  PopupBlockedEvent = 10419,
  PopupPositionedEvent = 10437,
  PositionStateEvent = 10458,
  PrecompiledScript = 10477,
  ProcessMessageManager = 10495,
  ProcessingInstruction = 10517,
  ProgressEvent = 10539,
  PromiseDebugging = 10553,
  PromiseNativeHandler = 10570,
  PromiseRejectionEvent = 10591,
  PublicKeyCredential = 10613,
  PushEvent = 10633,
  PushManager = 10643,
  PushManagerImpl = 10655,
  PushMessageData = 10671,
  PushSubscription = 10687,
  PushSubscriptionOptions = 10704,
  RTCCertificate = 10728,
  RTCDTMFSender = 10743,
  RTCDTMFToneChangeEvent = 10757,
  RTCDataChannel = 10780,
  RTCDataChannelEvent = 10795,
  RTCDtlsTransport = 10815,
  RTCEncodedAudioFrame = 10832,
  RTCEncodedVideoFrame = 10853,
  RTCIceCandidate = 10874,
  RTCIceTransport = 10890,
  RTCIdentityProviderRegistrar = 10906,
  RTCPeerConnection = 10935,
  RTCPeerConnectionIceEvent = 10953,
  RTCPeerConnectionStatic = 10979,
  RTCRtpReceiver = 11003,
  RTCRtpScriptTransform = 11018,
  RTCRtpScriptTransformer = 11040,
  RTCRtpSender = 11064,
  RTCRtpTransceiver = 11077,
  RTCSctpTransport = 11095,
  RTCSessionDescription = 11112,
  RTCStatsReport = 11134,
  RTCTrackEvent = 11149,
  RTCTransformEvent = 11163,
  RadioNodeList = 11181,
  Range = 11195,
  ReadableByteStreamController = 11201,
  ReadableStream = 11230,
  ReadableStream_AsyncIterator = 11245,
  ReadableStreamBYOBReader = 11274,
  ReadableStreamBYOBRequest = 11299,
  ReadableStreamDefaultController = 11325,
  ReadableStreamDefaultReader = 11357,
  Report = 11385,
  ReportBody = 11392,
  ReportingObserver = 11403,
  Request = 11421,
  ResizeObserver = 11429,
  ResizeObserverEntry = 11444,
  ResizeObserverSize = 11464,
  Response = 11483,
  SVGAElement = 11492,
  SVGAngle = 11504,
  SVGAnimateElement = 11513,
  SVGAnimateMotionElement = 11531,
  SVGAnimateTransformElement = 11555,
  SVGAnimatedAngle = 11582,
  SVGAnimatedBoolean = 11599,
  SVGAnimatedEnumeration = 11618,
  SVGAnimatedInteger = 11641,
  SVGAnimatedLength = 11660,
  SVGAnimatedLengthList = 11678,
  SVGAnimatedNumber = 11700,
  SVGAnimatedNumberList = 11718,
  SVGAnimatedPreserveAspectRatio = 11740,
  SVGAnimatedRect = 11771,
  SVGAnimatedString = 11787,
  SVGAnimatedTransformList = 11805,
  SVGAnimationElement = 11830,
  SVGCircleElement = 11850,
  SVGClipPathElement = 11867,
  SVGComponentTransferFunctionElement = 11886,
  SVGDefsElement = 11922,
  SVGDescElement = 11937,
  SVGElement = 11952,
  SVGEllipseElement = 11963,
  SVGFEBlendElement = 11981,
  SVGFEColorMatrixElement = 11999,
  SVGFEComponentTransferElement = 12023,
  SVGFECompositeElement = 12053,
  SVGFEConvolveMatrixElement = 12075,
  SVGFEDiffuseLightingElement = 12102,
  SVGFEDisplacementMapElement = 12130,
  SVGFEDistantLightElement = 12158,
  SVGFEDropShadowElement = 12183,
  SVGFEFloodElement = 12206,
  SVGFEFuncAElement = 12224,
  SVGFEFuncBElement = 12242,
  SVGFEFuncGElement = 12260,
  SVGFEFuncRElement = 12278,
  SVGFEGaussianBlurElement = 12296,
  SVGFEImageElement = 12321,
  SVGFEMergeElement = 12339,
  SVGFEMergeNodeElement = 12357,
  SVGFEMorphologyElement = 12379,
  SVGFEOffsetElement = 12402,
  SVGFEPointLightElement = 12421,
  SVGFESpecularLightingElement = 12444,
  SVGFESpotLightElement = 12473,
  SVGFETileElement = 12495,
  SVGFETurbulenceElement = 12512,
  SVGFilterElement = 12535,
  SVGForeignObjectElement = 12552,
  SVGGElement = 12576,
  SVGGeometryElement = 12588,
  SVGGradientElement = 12607,
  SVGGraphicsElement = 12626,
  SVGImageElement = 12645,
  SVGLength = 12661,
  SVGLengthList = 12671,
  SVGLineElement = 12685,
  SVGLinearGradientElement = 12700,
  SVGMPathElement = 12725,
  SVGMarkerElement = 12741,
  SVGMaskElement = 12758,
  SVGMatrix = 12773,
  SVGMetadataElement = 12783,
  SVGNumber = 12802,
  SVGNumberList = 12812,
  SVGPathElement = 12826,
  SVGPathSeg = 12841,
  SVGPathSegArcAbs = 12852,
  SVGPathSegArcRel = 12869,
  SVGPathSegClosePath = 12886,
  SVGPathSegCurvetoCubicAbs = 12906,
  SVGPathSegCurvetoCubicRel = 12932,
  SVGPathSegCurvetoCubicSmoothAbs = 12958,
  SVGPathSegCurvetoCubicSmoothRel = 12990,
  SVGPathSegCurvetoQuadraticAbs = 13022,
  SVGPathSegCurvetoQuadraticRel = 13052,
  SVGPathSegCurvetoQuadraticSmoothAbs = 13082,
  SVGPathSegCurvetoQuadraticSmoothRel = 13118,
  SVGPathSegLinetoAbs = 13154,
  SVGPathSegLinetoHorizontalAbs = 13174,
  SVGPathSegLinetoHorizontalRel = 13204,
  SVGPathSegLinetoRel = 13234,
  SVGPathSegLinetoVerticalAbs = 13254,
  SVGPathSegLinetoVerticalRel = 13282,
  SVGPathSegList = 13310,
  SVGPathSegMovetoAbs = 13325,
  SVGPathSegMovetoRel = 13345,
  SVGPatternElement = 13365,
  SVGPoint = 13383,
  SVGPointList = 13392,
  SVGPolygonElement = 13405,
  SVGPolylineElement = 13423,
  SVGPreserveAspectRatio = 13442,
  SVGRadialGradientElement = 13465,
  SVGRect = 13490,
  SVGRectElement = 13498,
  SVGSVGElement = 13513,
  SVGScriptElement = 13527,
  SVGSetElement = 13544,
  SVGStopElement = 13558,
  SVGStringList = 13573,
  SVGStyleElement = 13587,
  SVGSwitchElement = 13603,
  SVGSymbolElement = 13620,
  SVGTSpanElement = 13637,
  SVGTextContentElement = 13653,
  SVGTextElement = 13675,
  SVGTextPathElement = 13690,
  SVGTextPositioningElement = 13709,
  SVGTitleElement = 13735,
  SVGTransform = 13751,
  SVGTransformList = 13764,
  SVGUnitTypes = 13781,
  SVGUseElement = 13794,
  SVGViewElement = 13808,
  Sanitizer = 13823,
  Scheduler = 13833,
  Screen = 13843,
  ScreenLuminance = 13850,
  ScreenOrientation = 13866,
  ScriptProcessorNode = 13884,
  ScrollAreaEvent = 13904,
  ScrollViewChangeEvent = 13920,
  SecurityPolicyViolationEvent = 13942,
  Selection = 13971,
  ServiceWorker = 13981,
  ServiceWorkerContainer = 13995,
  ServiceWorkerGlobalScope = 14018,
  ServiceWorkerRegistration = 14043,
  SessionStoreFormData = 14069,
  SessionStoreScrollData = 14090,
  SessionStoreUtils = 14113,
  ShadowRealmGlobalScope = 14131,
  ShadowRoot = 14154,
  SharedWorker = 14165,
  SharedWorkerGlobalScope = 14178,
  SimpleGestureEvent = 14202,
  SourceBuffer = 14221,
  SourceBufferList = 14234,
  SpeechGrammar = 14251,
  SpeechGrammarList = 14265,
  SpeechRecognition = 14283,
  SpeechRecognitionAlternative = 14301,
  SpeechRecognitionError = 14330,
  SpeechRecognitionEvent = 14353,
  SpeechRecognitionResult = 14376,
  SpeechRecognitionResultList = 14400,
  SpeechSynthesis = 14428,
  SpeechSynthesisErrorEvent = 14444,
  SpeechSynthesisEvent = 14470,
  SpeechSynthesisUtterance = 14491,
  SpeechSynthesisVoice = 14516,
  StaticRange = 14537,
  StereoPannerNode = 14549,
  Storage = 14566,
  StorageEvent = 14574,
  StorageManager = 14587,
  StreamFilter = 14602,
  StreamFilterDataEvent = 14615,
  StructuredCloneHolder = 14637,
  StructuredCloneTester = 14659,
  StyleSheet = 14681,
  StyleSheetApplicableStateChangeEvent = 14692,
  StyleSheetList = 14729,
  StyleSheetRemovedEvent = 14744,
  SubmitEvent = 14767,
  SubtleCrypto = 14779,
  SyncMessageSender = 14792,
  SyncReadFile = 14810,
  TCPServerSocket = 14823,
  TCPServerSocketEvent = 14839,
  TCPSocket = 14860,
  TCPSocketErrorEvent = 14870,
  TCPSocketEvent = 14890,
  TaskController = 14905,
  TaskPriorityChangeEvent = 14920,
  TaskSignal = 14944,
  TelemetryStopwatch = 14955,
  TestAttributesOnTypes = 14974,
  TestCEReactionsInterface = 14996,
  TestCImplementedInterface = 15021,
  TestCImplementedInterface2 = 15047,
  TestCallbackDictUnionOverload = 15074,
  TestChildInterface = 15104,
  TestConstructorForFuncInterface = 15123,
  TestConstructorForPrefInterface = 15155,
  TestConstructorForSCInterface = 15187,
  TestCppKeywordNamedMethodsInterface = 15217,
  TestDeprecatedInterface = 15253,
  TestExampleInterface = 15277,
  TestExampleProxyInterface = 15298,
  TestExampleThrowingConstructorInterface = 15324,
  TestExampleWorkerInterface = 15364,
  TestFuncConstructorForDifferentFuncInterface = 15391,
  TestFuncConstructorForInterface = 15436,
  TestHTMLConstructorInterface = 15468,
  TestIndexedAndNamedGetterAndSetterInterface = 15497,
  TestIndexedAndNamedGetterInterface = 15541,
  TestIndexedAndNamedSetterInterface = 15576,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15611,
  TestIndexedGetterInterface = 15661,
  TestIndexedSetterInterface = 15688,
  TestInterface = 15715,
  TestInterfaceWithPromiseConstructorArg = 15729,
  TestJSImplInterface = 15768,
  TestJSImplInterface2 = 15788,
  TestJSImplInterface3 = 15809,
  TestJSImplInterface4 = 15830,
  TestJSImplInterface5 = 15851,
  TestJSImplInterface6 = 15872,
  TestJSImplNoInterfaceObject = 15893,
  TestLegacyFactoryFunctionInterface = 15921,
  TestLegacyFactoryFunctionInterface2 = 15956,
  TestNamedDeleterInterface = 15992,
  TestNamedDeleterWithRetvalInterface = 16018,
  TestNamedGetterInterface = 16054,
  TestNamedSetterInterface = 16079,
  TestNamespace = 16104,
  TestNonWrapperCacheInterface = 16118,
  TestParentInterface = 16147,
  TestPrefChromeOnlySCFuncConstructorForInterface = 16167,
  TestPrefConstructorForDifferentPrefInterface = 16215,
  TestPrefConstructorForInterface = 16260,
  TestProtoObjectHackedNamespace = 16292,
  TestRenamedInterface = 16323,
  TestRenamedNamespace = 16344,
  TestSCConstructorForInterface = 16365,
  TestSecureContextInterface = 16395,
  TestThrowingConstructorInterface = 16422,
  TestUtils = 16455,
  TestWorkerExposedInterface = 16465,
  TestingDeprecatedInterface = 16492,
  Text = 16519,
  TextClause = 16524,
  TextDecoder = 16535,
  TextDecoderStream = 16547,
  TextEncoder = 16565,
  TextEncoderStream = 16577,
  TextEvent = 16595,
  TextMetrics = 16605,
  TextTrack = 16617,
  TextTrackCue = 16627,
  TextTrackCueList = 16640,
  TextTrackList = 16657,
  TimeEvent = 16671,
  TimeRanges = 16681,
  ToggleEvent = 16692,
  Touch = 16704,
  TouchEvent = 16710,
  TouchList = 16721,
  TrackEvent = 16731,
  TransformStream = 16742,
  TransformStreamDefaultController = 16758,
  TransitionEvent = 16791,
  TreeColumn = 16807,
  TreeColumns = 16818,
  TreeContentView = 16830,
  TreeWalker = 16846,
  TrustedHTML = 16857,
  TrustedScript = 16869,
  TrustedScriptURL = 16883,
  TrustedTypePolicy = 16900,
  TrustedTypePolicyFactory = 16918,
  UDPMessageEvent = 16943,
  UDPSocket = 16959,
  UIEvent = 16969,
  URL = 16977,
  URLSearchParams = 16981,
  URLSearchParams_Iterator = 16997,
  UniFFIPointer = 17022,
  UniFFIScaffolding = 17036,
  UserActivation = 17054,
  UserInteraction = 17069,
  UserProximityEvent = 17085,
  VRDisplay = 17104,
  VRDisplayCapabilities = 17114,
  VRDisplayEvent = 17136,
  VREyeParameters = 17151,
  VRFieldOfView = 17167,
  VRFrameData = 17181,
  VRMockController = 17193,
  VRMockDisplay = 17210,
  VRPose = 17224,
  VRServiceTest = 17231,
  VRStageParameters = 17245,
  VTTCue = 17263,
  VTTRegion = 17270,
  ValidityState = 17280,
  VideoColorSpace = 17294,
  VideoDecoder = 17310,
  VideoEncoder = 17323,
  VideoFrame = 17336,
  VideoPlaybackQuality = 17347,
  VideoTrack = 17368,
  VideoTrackList = 17379,
  VisualViewport = 17394,
  WEBGL_color_buffer_float = 17409,
  WEBGL_compressed_texture_astc = 17434,
  WEBGL_compressed_texture_etc = 17464,
  WEBGL_compressed_texture_etc1 = 17493,
  WEBGL_compressed_texture_pvrtc = 17523,
  WEBGL_compressed_texture_s3tc = 17554,
  WEBGL_compressed_texture_s3tc_srgb = 17584,
  WEBGL_debug_renderer_info = 17619,
  WEBGL_debug_shaders = 17645,
  WEBGL_depth_texture = 17665,
  WEBGL_draw_buffers = 17685,
  WEBGL_explicit_present = 17704,
  WEBGL_lose_context = 17727,
  WEBGL_provoking_vertex = 17746,
  WakeLock = 17769,
  WakeLockSentinel = 17778,
  WaveShaperNode = 17795,
  WebExtensionContentScript = 17810,
  WebExtensionPolicy = 17836,
  WebGL2RenderingContext = 17855,
  WebGLActiveInfo = 17878,
  WebGLBuffer = 17894,
  WebGLContextEvent = 17906,
  WebGLFramebuffer = 17924,
  WebGLProgram = 17941,
  WebGLQuery = 17954,
  WebGLRenderbuffer = 17965,
  WebGLRenderingContext = 17983,
  WebGLSampler = 18005,
  WebGLShader = 18018,
  WebGLShaderPrecisionFormat = 18030,
  WebGLSync = 18057,
  WebGLTexture = 18067,
  WebGLTransformFeedback = 18080,
  WebGLUniformLocation = 18103,
  WebGLVertexArrayObject = 18124,
  WebKitCSSMatrix = 18147,
  WebSocket = 18163,
  WebTransport = 18173,
  WebTransportBidirectionalStream = 18186,
  WebTransportDatagramDuplexStream = 18218,
  WebTransportError = 18251,
  WebTransportReceiveStream = 18269,
  WebTransportSendStream = 18295,
  WebrtcGlobalInformation = 18318,
  WheelEvent = 18342,
  Window = 18353,
  WindowClient = 18360,
  WindowContext = 18373,
  WindowGlobalChild = 18387,
  WindowGlobalParent = 18405,
  WindowRoot = 18424,
  Worker = 18435,
  WorkerDebuggerGlobalScope = 18442,
  WorkerGlobalScope = 18468,
  WorkerLocation = 18486,
  WorkerNavigator = 18501,
  WorkerTestUtils = 18517,
  Worklet = 18533,
  WorkletGlobalScope = 18541,
  WritableStream = 18560,
  WritableStreamDefaultController = 18575,
  WritableStreamDefaultWriter = 18607,
  XMLDocument = 18635,
  XMLHttpRequest = 18647,
  XMLHttpRequestEventTarget = 18662,
  XMLHttpRequestUpload = 18688,
  XMLSerializer = 18709,
  XPathEvaluator = 18723,
  XPathExpression = 18738,
  XPathResult = 18754,
  XRBoundedReferenceSpace = 18766,
  XRFrame = 18790,
  XRInputSource = 18798,
  XRInputSourceArray = 18812,
  XRInputSourceEvent = 18831,
  XRInputSourcesChangeEvent = 18850,
  XRPose = 18876,
  XRReferenceSpace = 18883,
  XRReferenceSpaceEvent = 18900,
  XRRenderState = 18922,
  XRRigidTransform = 18936,
  XRSession = 18953,
  XRSessionEvent = 18963,
  XRSpace = 18978,
  XRSystem = 18986,
  XRView = 18995,
  XRViewerPose = 19002,
  XRViewport = 19015,
  XRWebGLLayer = 19026,
  XSLTProcessor = 19039,
  XULCommandEvent = 19053,
  XULElement = 19069,
  XULFrameElement = 19080,
  XULMenuElement = 19096,
  XULPopupElement = 19111,
  XULResizerElement = 19127,
  XULTextElement = 19145,
  XULTreeElement = 19160,
  console = 19175,
  webkitSpeechGrammar = 19183,
  webkitSpeechGrammarList = 19203,
  webkitSpeechRecognition = 19227,
  webkitURL = 19251,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
